Export a PDF of an inspection

Exactly the same as the matching GET endpoint, but allows for a larger payload, as it's sent in the body instead of the query string.

Path Params
integer
required

The ID of the existing inspection request.

Body Params

Request body for POST /inspections/{inspectionId}/export

boolean
Defaults to false

Whether to perform synchronously (in the request/response cycle) or queue for asynchronous export.\n\n If false (or unspecified), the PDF is exported synchronously and returned in the response. This is the default for backwards-compatibility, but is deprecated in favor of performing asynchronously.\n\n If true, the PDF is queued for asynchronous export and an Operation is returned to track its progress. This is recommended.

captureLocationMaps
array of strings
Defaults to outside,within,no_location

Which capture-location maps to render in the Image Details section. Omit to render a map for every capture (the default). Provide a subset to limit it, or an empty array to render no maps.

  • outside: captures taken outside the expected address
  • within: captures taken within the expected address
  • no_location: captures with no expected address on the inspection
captureLocationMaps
Allowed:
exclude
array of strings
Defaults to []

Specific sections to exclude that are included by default. If you do not want to exclude any sections, you can omit this property.

Accepts the legacy tokens (questions → Inspection Items, thumbnails → no-op, imageDetails, timeline) and the canonical section ids.

exclude
filter
object

Filters which photos/videos are included in the PDF. Once specified, the PDF will only be generated based on the specific list of photos that are listed. By default all photos/videos are included. If you don't want to generate a PDF with a specific set of photos/videos, you can omit this property.

include
array of strings
Defaults to []

Additional sections to include that are NOT included by default. If you do not want to include any extra sections, you can omit this property.

Accepts the legacy inspectionNote alias and the canonical section ids. The only opt-in section is Inspection Notes; the other ids are accepted for forward-compatibility and are no-ops when a section is already included.

include
boolean
Defaults to true

Whether to include items the customer never submitted (unanswered questions and captures with no upload) in the Inspection Items section. Set false to hide them.

string
Defaults to UTC

The IANA time zone name to use when displaying dates/times in the PDF. Defaults to UTC.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/pdf
application/json